# After deleting of this directive, comment from top of original file will be
    saved.
!include		/etc/openldap/schema/core.schema
include		/etc/openldap/schema/otherschema.schema

access to attrs=userPassword
    by dn="cn=newval, dc=calculate" read
    by dn="cn=ldapadmin,dc=calculate" write
    by dn="ou=Samba,ou=Services,dc=calculate" write
    by !dn="ou=Ftp,ou=Services,dc=calculate" read
    by dn="ou=Replication,ou=LDAP,ou=Services,dc=calculate" read
    by * none

-access to attrs=sambaLMPassword,sambaNTPassword
    by dn="ou=Replication,ou=LDAP,ou=Services,dc=calculate" write
    by dn="ou=Samba,ou=Services,dc=calculate" write
    by dn="cn=ldapadmin,dc=calculate" read 
    by self read
    by * auth

!access to dn.base="cn=proxyuser,dc=calculate"

access to *
    by !self 
    by !dn="cn=ldapadmin,dc=calculate" write

access to attrs=userPassword
    by dn="cn=newother, dc=calculate" read 

# Unix 
access to attrs=sambaLMPassword,sambaNTPassword
    by dn="ou=Unix,ou=Services,dc=calculate" write

# Newval
access to attrs=sambaLMPassword,sambaNTPassword
    by dn="cn=newval, dc=calculate" read

# Mail
access to attrs=sambaLMPassword,sambaNTPassword
    by dn="ou=Mail,ou=Services,dc=calculate" read

# Jabber
access to attrs=sambaLMPassword,sambaNTPassword
    by dn="ou=Jabber,ou=Services,dc=calculate" read

# Comment to backend section from template.
backend bdb
rootdn		"cn=ldaproot,dc=calculate"
suffix		"dc=example"

database bdb
!syncrepl rid=123
include    /etc/openldap/replication.conf
!index	sn

!updateref   ldap://ldapmaster.example.com

syncrepl rid=001
    provider=ldap://provider.newexample.com:389
    type=refreshOnly
    interval=01:00:00:00
    searchbase="dc=example,dc=com"

updateref ldap://ldapmaster.newexample.com

modulepath /usr/lib/openldap
moduleload accesslog.la
moduleload syncprov.la

backend bdb
modulepath /usr/lib/openldap
